Subject: Re: [payload] draft-ietf-payload-rtp-ttml-01

From: "Roni Even (A)" <[email-masked]>
Date: Tue, 28 May 2019 11:50:47 +0000

Hi,
I reviewed the document and have some comments

1. change Intended status to Standards Track

2. Section three can use some description maybe add text from TTML2 providing  short description and reference the TTML2 for further information

3. In section 4.2.1.2  the sentence "The epoch E relative to which computed TTML media times are offset  MUST be set to the RTP Timestamp in the header of the RTP packet in  which the TTML document instance is carried" is written in passive language can you rephrase it.

4. In section 4.2.1.2 "When processing a sequence of TTML documents each delivered in the  same RTP stream" how is it related to the first sentence in 4.2.1.1

5. In section 4.2.1.2.1.3 I suggest moving the note after the first sentence as a new sentence "short codes for TTML profiles are registered at  [TTML-MTPR]"

6. Section 4.2.1.2.2 why is there a need for specific information about ebu-tt live. Also maybe in the first sentence add the short form of the profile "EBU-TT Live (Etl1) is"

7. in section 6 should be RFC8085[RFC8085] and not RFC8085[RFC8083] also the reference to RFC8085 is missing in the reference list.

8. The acknowledgment section do not have to be an Appendix, can stay in the same place as a section

Roni Even

From: payload [mailto:[email-masked]] On Behalf Of James Sandford
Sent: Thursday, April 25, 2019 2:03 PM
To: [email-masked]
Subject: [payload] draft-ietf-payload-rtp-ttml-01

Please find the latest version of draft-ietf-payload-rtp-ttml at:
https://datatracker.ietf.org/doc/draft-ietf-payload-rtp-ttml/
https://www.ietf.org/id/draft-ietf-payload-rtp-ttml-01.txt

Changes are:
- Clarification to wording of when processing of a document may be stopped
- Completion of RFC Editior Considerations section
- Completion of Acknowledgements section
- Minor improvement to formatting in RTP Header Usage section

Any comments/suggestions appreciated.

Regards,
James

==========
James Sandford
R&D Engineer

BBC Research and Development
5th Floor
Dock House
MediaCityUK
Salford
M50 2LH

Tel: 030304 (09549)
Web: http://www.bbc.co.uk/rd
________________________________